From 33947765d4787362d132d88956c2df984d3d73e6 Mon Sep 17 00:00:00 2001
From: hjp <hjp>
Date: Wed, 25 Mar 1998 19:59:51 +0000
Subject: [PATCH] Solaris adaptations.

---
 .znewterm | 10 +++++-----
 .zshenv   | 14 ++++++++++++--
 2 files changed, 17 insertions(+), 7 deletions(-)

diff --git a/.znewterm b/.znewterm
index 28a9344..0082390 100644
--- a/.znewterm
+++ b/.znewterm
@@ -23,16 +23,16 @@ fi
 if [[ .$TERM. = .xterm. ]]
 then
 	prompt="%{]0;%m(%l)%n %~%}$SHLVL.%h%# "
-	if test "`uname`" = Linux
+	if test "`uname`" = HP-UX
 	then
-	    export REMOTEHOST=`
-		    who am i |
-		    sed -e 's/.*(\(.*\)).*/\1/'`
-	else
 	    export REMOTEHOST=`
 		    /bin/who -muR |
 		    tr -s ' ' '	' |
 		    cut -f 8 | cut -d : -f 1`
+	else
+	    export REMOTEHOST=`
+		    who am i |
+		    sed -e 's/.*(\(.*\)).*/\1/'`
 	fi
 	if [[ -z "$DISPLAY" ]]
 	then
diff --git a/.zshenv b/.zshenv
index 70ece1d..8e8a829 100644
--- a/.zshenv
+++ b/.zshenv
@@ -32,9 +32,10 @@ export LPDEST=wsrplj51
 
 # set PATH to direcories *I* want.
 PRIVATE_PATH=/usr/local/alpha/mt/bin:$HOME/bin/scripts:$HOME/bin
-LOCAL_PATH=/usr/local/etc:/usr/local/sbin:/usr/local/samba/bin:/usr/local/bin:/usr/local/bin/X11
+LOCAL_PATH=/usr/local/etc:/usr/local/sbin:/usr/local/samba/bin:/usr/local/bin:/usr/local/bin/X11:/usr/local/bin/X11:/usr/local/java/bin:/usr/local/povray3/bin
 ETC_PATH=/usr/etc:/etc:/usr/sbin:/sbin:/opt/omni/sbin:/opt/omni/lbin
-BIN_PATH=/usr/softbench/bin:/usr/vue/bin:/usr/bin/X11:/bin:/usr/bin
+BIN_PATH=/usr/softbench/bin:/usr/vue/bin:/usr/bin/X11:/bin:/usr/bin:/usr/ccs/bin
+
 if [ -r /etc/PATH ]
 then
 	PATH=`cat /etc/PATH`:$PATH
@@ -120,3 +121,12 @@ case "$FQDN" in
    *.wsr.ac.at)
 	;;
 esac
+
+
+case "$FQDN" in
+   melange.wsr.ac.at)
+	export LD_LIBRARY_PATH=/usr/local/lib
+	;;
+   *.wsr.ac.at)
+	;;
+esac
